Package org.opensaml.saml.saml2.core.impl

# Class AbstractNameIDType

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl
org.opensaml.saml.saml2.core.impl.AbstractNameIDType

All Implemented Interfaces:
  `XSString`, `XMLObject`, `NameIDType`

Direct Known Subclasses:
  `IssuerImpl`, `NameIDImpl`, `RespondToImpl`

public class AbstractNameIDType extends XSStringImpl implements NameIDType
Abstract implementation of `NameIDType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`format`
Format of the Name ID.
`private String`
`nameQualifier`
Name Qualifier of the Name ID.
`private String`
`spNameQualifier`
SP Name Qualifier of the Name ID.
`private String`
`spProvidedID`
SP ProvidedID of the NameID.

### Fields inherited from interface org.opensaml.saml.saml2.core.NameIDType

`EMAIL, ENCRYPTED, ENTITY, FORMAT_ATTRIB_NAME, KERBEROS, NAME_QUALIFIER_ATTRIB_NAME, PERSISTENT, SP_NAME_QUALIFIER_ATTRIB_NAME, SPPROVIDED_ID_ATTRIB_NAME, TRANSIENT, UNSPECIFIED, WIN_DOMAIN_QUALIFIED, X509_SUBJECT`

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractNameIDType(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Gets the format of the NameID.
`String`
`getNameQualifier()`
Gets the NameQualifier value.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`String`
`getSPProvidedID()`
Gets the SPProvidedID of this NameID.
`void`
`setFormat(String newFormat)`
Sets the format of the NameID.
`void`
`setNameQualifier(String newNameQualifier)`
Sets the NameQualifier value.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.
`void`
`setSPProvidedID(String newSPProvidedID)`
Sets the SPProvddedID of this NameID.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSStringImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### nameQualifier

@Nullable private String nameQualifier
Name Qualifier of the Name ID.

### spNameQualifier

@Nullable private String spNameQualifier
SP Name Qualifier of the Name ID.

### format

@Nullable private String format
Format of the Name ID.

### spProvidedID

@Nullable private String spProvidedID
SP ProvidedID of the NameID.

## Constructor Details

### AbstractNameIDType

protected AbstractNameIDType(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getNameQualifier

@Nullable public String getNameQualifier()
Gets the NameQualifier value.

Specified by:
  `getNameQualifier` in interface `NameIDType`
Returns:
  the NameQualifier value

### setNameQualifier

public void setNameQualifier(@Nullable String newNameQualifier)
Sets the NameQualifier value.

Specified by:
  `setNameQualifier` in interface `NameIDType`
Parameters:
  `newNameQualifier` - the NameQualifier value

### getSPNameQualifier

@Nullable public String getSPNameQualifier()
Gets the SPNameQualifier value.

Specified by:
  `getSPNameQualifier` in interface `NameIDType`
Returns:
  the SPNameQualifier value

### setSPNameQualifier

public void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Specified by:
  `setSPNameQualifier` in interface `NameIDType`
Parameters:
  `newSPNameQualifier` - the SPNameQualifier value

### getFormat

@Nullable public String getFormat()
Gets the format of the NameID.

Specified by:
  `getFormat` in interface `NameIDType`
Returns:
  the format of the NameID

### setFormat

public void setFormat(@Nullable String newFormat)
Sets the format of the NameID.

Specified by:
  `setFormat` in interface `NameIDType`
Parameters:
  `newFormat` - the format of the NameID

### getSPProvidedID

@Nullable public String getSPProvidedID()
Gets the SPProvidedID of this NameID.

Specified by:
  `getSPProvidedID` in interface `NameIDType`
Returns:
  the SPProvidedID of this NameID

### setSPProvidedID

public void setSPProvidedID(@Nullable String newSPProvidedID)
Sets the SPProvddedID of this NameID.

Specified by:
  `setSPProvidedID` in interface `NameIDType`
Parameters:
  `newSPProvidedID` - the SPProvidedID of this NameID